CUDA Runtime API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.8. cudaExternalMemoryBufferDesc Struct Reference

## [Data types used by CUDA Runtime]

External memory buffer descriptor

### Public Variables

unsigned int flags
unsigned long long offset
unsigned long long size

### Variables

unsigned int cudaExternalMemoryBufferDesc::flags [inherited]

  Flags reserved for future use. Must be zero.

unsigned long long cudaExternalMemoryBufferDesc::offset [inherited]

  Offset into the memory object where the buffer's base is

unsigned long long cudaExternalMemoryBufferDesc::size [inherited]

  Size of the buffer